%define im_dir %{_libdir}/im

Summary: Romanized Korean Hangul language engine for IIIMF
Name: iiimf-le-simplehangul
Version: 0.1.1
Release: 3.FC3
License: GPL
Source: %{name}-%{version}.tar.bz2
URL: http://www3.sympatico.ca/d.moser/hangul.html
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: iiimf-libs-devel

%description
Romanised Korean Hangul language engine for IIIMF
Simple Hangul input with any Western keyboard

%define sendhup %{_bindir}/killall -HUP htt_server >& /dev/null || :
%define instle %{_bindir}/iiimf-le-tools --install %{im_dir}/leif/
%define uninstle %{_bindir}/iiimf-le-tools --remove %{im_dir}/leif/

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
# /usr/lib or /usr/lib64 substitution
# TODO: This could be done in a cleaner way...
if [ %{im_dir} != "/usr/lib/im" ]; then
  find . -type f | xargs grep -l "/usr/lib/im" | \
        xargs perl -pi -e "s|/usr/lib/im|%{im_dir}|g;"
fi
./configure --prefix=%{im_dir}
make  

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{im_dir}
# FIXME: make install should honor $DESTDIR
# so we don't need to install it manually
mkdir -p $RPM_BUILD_ROOT%{im_dir}/leif
install -m 755 src/.libs/simplehangul.so $RPM_BUILD_ROOT%{im_dir}/leif

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ "$1" = 0 ]; then
  %{uninstle}chinput.so >& /dev/null || :
fi

%postun
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%files
%defattr(-,root,root)
%{im_dir}/*

%changelog
* Fri Mar 18 2005 Warren Togami <wtogami@redhat.com> 0.1.1-3
- Ugly lib64 hack from FC im-sdk

* Thu Mar 17 2005 Warren Togami <wtogami@redhat.com> 0.1.1-2
- minor spec changes
- copy preun and postun scripts from iiimf-le-chinput

* Mon Jan 10 2005 Derrick Moser <derrick_moser@yahoo.com> 0.1.1-1
- clean-ups

* Wed Sep 08 2004 Warren Togami <wtogami@redhat.com> 0.0-1
- ugly hacked up package
